/// <reference path="../common/js/avweb.js" />

/// <reference path="../common/js/screenLock.js" />

/// <reference path="../common/js/common.js" />

/// <reference path="../common/js/i18n.js" />

/// <reference path="../common/js/jquery-1.8.1.min.js" />

/// <reference path="../common/js/jquery-ui-1.8.23.custom.min.js" />

/// <reference path="../common/js/jquery.toastmessage.js" />

/// <reference path="../common/js/pageViewer.js" />

/// <reference path="header.js" />

//Start Declare Variables
	//----Constant-----------//
var DEFAULT_DISP_NUMBER_RECORD_FROM = 1;
var DEFAULT_DISP_NUMBER_RECORD_TO = 15;
var DEFAULT_SORT_TYPE = '4';
var DEFAULT_SORT_ORDER = '2';
var DEFAULT_SEARCH_DIVISION = 0;

var DEFAULT_IMG_OPTION_MEMO = 'img/list/pic_1.png';
var DEFAULT_IMG_OPTION_MARKING = 'img/list/pic_2.png';
var DEFAULT_IMG_CONTENT_EDIT = 'img/list/updatebook.png';
var DEFAULT_IMG_CONTENT_NEW = 'img/list/newbook.png';

var iNumberOfNextRecord = 15;
var arrayTemp = [];
var contentIdArray = [];
var resourceVersionArr = [];
var metaVersionArr = [];
var totalPage;
var contentViewData = [];
var noRecordFlg = false;
var home_isMove = false;
var history_contentTitleKana = [];

$(document).ready(function(){
 	
 	if (!avwCheckLogin(ScreenIds.Login)){
 		return;
 	} 
 	
 	LockScreen();

	document.title = i18nText('dspViewHistory') + ' | ' + i18nText('sysAppTitle');
	
	ClientData.BookmarkScreen(ScreenIds.History);
 	
 	if(ClientData.requirePasswordChange() != 1){
 		if(ClientData.ReadingContentIds() == null || ClientData.ReadingContentIds() == 'undefined' || ClientData.ReadingContentIds().length == 0){	
		}else{
			syncReadingContent();
		}
	 	
	 	//remove hover effect when is touch device
	 	removeHoverCss();
	 	
	 	//Render Grid
	 	renderGridView();
			
		//Go To Details Page
		$('canvas').live('click', canvasClickFunction);	
		//$('canvas').live('touchstart', canvasClickFunction);
	    $('canvas').live('touchend', canvasClickFunction);
	    $('canvas').live('touchmove', function () { home_isMove = true; });
		
		
		//Open dialog
		$('.dialog').live('click', titleClickFunction);	
		//$('.dialog').live('touchstart', titleClickFunction);	
	    $('.dialog').live('touchend', titleClickFunction);
	    $('.dialog').live('touchmove', function () { home_isMove = true; });
			
		//Sort Title
		$('#control-sort-title').click(sortByTitleFunction);	
		
		//Sort by title kana
		$('#control-sort-titlekana').click(sortByTitleKanaFunction);	
			
		//sort by release date
		$('#control-sort-releasedate').click(sortByReleaseDateFunction);	
		
		$('#control-sort-viewdate').click(sortByViewDateFunction);
			
		//Go To Details Page
		$('.button-details').live('click', readSubmenuFunction);
		//$('.button-details').live('touchstart', readSubmenuFunction);
	    $('.button-details').live('touchend', readSubmenuFunction);
	    $('.button-details').live('touchmove', function () { home_isMove = true; });
	
	    $(window).resize(function () {
	        if ($("#contentDetail").css("display") != "none") {
	            // Refresh panel of detail to center.
	            $("#contentDetail").center();
	            if ($("#contentDetail").height() > $(window).height()){
					$("#contentDetail").css('top', '0');
				}
	        }
	    });
 	}
 	else{
 		//Check if Force Change password
		checkForceChangePassword();
 	}	
});	

//Call API
function abapi(name, param, method, callback){		
	avwCmsApiSync(ClientData.userInfo_accountPath(), name, method, param, callback, null);
};

///Render Content
function renderContent(id, text, division, type, order, from, to, cateid, grpid) {
    var params = {
        sid: id,
        searchText: text,
        searchDivision: division,
        sortType: type,
        sortOrder: order,
        //recordFrom: from,
        //recordTo: to,
        categoryId: cateid,
        groupId: grpid
    };

    avwCmsApiSync(ClientData.userInfo_accountPath(), 'webContentList', 'POST', params,
            function (data) {
                
                $('#content-grid').html('');
                var htmlTemp = "";
                for (var i = 0; i < data.contentList.length; i++) {
                    post = data.contentList[i];
                    
                    //$.each(data.contentList, function (i, post) {

                    var outputDate = formatDeliveryDate(post.contentDeliveryDate);
                    //renderViewDate  
                    var viewdate = renderViewDate(post.contentId);

                    if (viewdate != null && viewdate != 'undefined' && viewdate != '') {
                        
                        htmlTemp += '<section>'
                        //$('#content-grid').append(
                        // '<section>'
				        + '	<div class="cnt_section">'
				        + '		<a class="img">'
				        + '			<canvas style="display:none" height="105px" width="150px" class="home_canvas" id="content-thumbnail' + post.contentId + '" contentid="' + post.contentId + '">'
				        + '			</canvas>'
				        + '			<img id="imgloading'+ post.contentId +'" class="home_canvas" src="./img/data_loading.gif" height="25px" width="25px" style=""/>'
				        + '		</a>'
				        + '		<div class="text">'
				        + '			<a id="title' + post.contentId + '" class="dialog name" contentid="' + post.contentId + '">' + truncate(htmlEncode(post.contentTitle), 25) + '</a>'
				        + '			<div class="info">'
				        + '				<ul class="date">'
				        + '					<li><span class="lang" lang="txtPubDt">' + i18nText("txtPubDt") + '</span> : ' + outputDate + '</li>'
				        + '					<li><span class="lang" lang="txtViewDt">' + i18nText("txtViewDt") + '</span>：<span id="lblVdate' + post.contentId + '"> </span></li>'
				        + '				</ul>'
				        + '				<ul class="pic">'
				        + '					<li><img src="' + DEFAULT_IMG_OPTION_MEMO + '" id="imgMemo' + post.contentId + '" class="sticker"  /></li>'
				        + '					<li><img src="' + DEFAULT_IMG_OPTION_MARKING + '" id="imgBookMark' + post.contentId + '" class="pen"  /></li>'
				        + '					<li><a class="read lang button-details" contentid="' + post.contentId + '" lang="txtRead">' + i18nText("txtRead") + '</a></li>'
				        + '				</ul>'
				        + '			</div>'
				        + '		</div>'
				        + '	</div>'
				        + '</section>'
                        //);
                        //$('canvas.home_canvas').hide();
                        //$('img.home_canvas').show();
                        /*
                        //assign thumbnail to array
                        arrayTemp.push({ contentId: post.contentId, thumbnail: formatStringBase64(post.contentThumbnail) });

                        //Check if user has read this content or not.
                        checkUserHasReadContent(post.contentId, post.resourceVersion, post.metaVersion);

                        //assign version to array
                        resourceVersionArr.push({ contentid: post.contentId, resourceversion: post.resourceVersion });

                        //assign meta version to array
                        metaVersionArr.push({ contentid: post.contentId, metaversion: post.metaVersion });

                        //Check if content has marking or memo
                        checkContentMarkingMemoOption(post.contentId);

                        $('#lblVdate' + post.contentId).html(viewdate);

                        addReadContentToArray(post.contentId, post.resourceVersion, post.metaVersion, post.contentThumbnail, post.contentTitle, returnContentTitleKana(post.contentId), post.contentDeliveryDate);

                        showContentThumbnail();
                        */
                    }
                    //});
                }
                $('#content-grid').append(htmlTemp);
                for (var i = 0; i < data.contentList.length; i++) {
                    post = data.contentList[i];
                    var viewdate = renderViewDate(post.contentId);

                    if (viewdate != null && viewdate != 'undefined' && viewdate != '') {
                        
                        //assign thumbnail to array
                        arrayTemp.push({ contentId: post.contentId, thumbnail: formatStringBase64(post.contentThumbnail) });

                        //Check if user has read this content or not.
                        checkUserHasReadContent(post.contentId, post.resourceVersion, post.metaVersion);

                        //assign version to array
                        resourceVersionArr.push({ contentid: post.contentId, resourceversion: post.resourceVersion });

                        //assign meta version to array
                        metaVersionArr.push({ contentid: post.contentId, metaversion: post.metaVersion });

                        //Check if content has marking or memo
                        checkContentMarkingMemoOption(post.contentId);

                        $('#lblVdate' + post.contentId).html(viewdate);

                        addReadContentToArray(post.contentId, post.resourceVersion, post.metaVersion, post.contentThumbnail, post.contentTitle, returnContentTitleKana(post.contentId), post.contentDeliveryDate);

                        //showContentThumbnail();
                    }
                }
                if (data.recordFrom) {
                    ClientData.searchCond_recordFrom(data.recordFrom);
                }
                if (data.recordTo) {
                    ClientData.searchCond_recordTo(data.recordTo);
                }
                totalPage = data.totalRecord;
                //Render Page number
                reRenderPageNumber(totalPage, totalPage);

                //changeLanguage(ClientData.userInfo_language());			

            }, null);
    //i18nReplaceText();
};

//Handle language
function handleLanguage(){

	//if(ClientData.userInfo_language() == Consts.ConstLanguage_En || ClientData.userInfo_language() == Consts.ConstLanguage_Ko)
    if (getCurrentLanguage() == Consts.ConstLanguage_En || getCurrentLanguage() == Consts.ConstLanguage_Ko)
	{
		$('#control-sort-titlekana').css('display','none');
		$('#label-sort-titlekana').css('display','none');
		$('#separate').css('display','none');
		$("#titlekana-sorttype").html('');
	}
	else {		
	    if (ClientData.searchCond_sortOrder() != null && ClientData.searchCond_sortOrder() != 'undefined' || ClientData.searchCond_sortType() != '') {
	        var typeSort = ClientData.searchCond_sortType();
	        var orderSort = ClientData.searchCond_sortOrder();

	        if (typeSort == 2) {
	            if (orderSort == Consts.ConstOrderSetting_Asc) {
	                $('#titlekana-sorttype').html('');
	                $('#titlekana-sorttype').html('▲');
	                $('#titlekana-sorttype').css('width', '12px');
	            }
	            else {
	                $('#titlekana-sorttype').html('');
	                $('#titlekana-sorttype').html('▼');
	                $('#titlekana-sorttype').css('width', '12px');
	            }
	        }
	    }
        	
		if(noRecordFlg){
			$('#label-sort-titlekana').css('display','block');
			$('#separate').css('display','block');
		}else{
			$('#control-sort-titlekana').css('display','block');
			$('#separate').css('display','block');
		}
	}	
};

//Initial Screen
function renderGridView(){
	
	var fromPage = '';
	var toPage = '';
	var sortType = DEFAULT_SORT_TYPE;
	var sortOrder = DEFAULT_SORT_ORDER;
	var searchText = '';
	var searchDivision = DEFAULT_SEARCH_DIVISION;
	var genreId = '';
	var groupId = '';
	var sid = ClientData.userInfo_sid();
		
	ClientData.searchCond_recordFrom(fromPage);
			
	ClientData.searchCond_recordTo(toPage);
	
	ClientData.searchCond_sortType(sortType);

	ClientData.searchCond_sortOrder(sortOrder);

	ClientData.searchCond_searchDivision(searchDivision);

	//Handle display sort
	handleSortDisp();
	
	//Display user name
	$('#login-username').html(ClientData.userInfo_loginId_session());
	
	//Refresh GridView
	refreshGrid();
	
	if(ClientData.ReadingContentIds() == null || ClientData.ReadingContentIds() == 'undefined' || ClientData.ReadingContentIds().length == 0){
		displayResultNoRecord();
		noRecordFlg = true;
		reRenderPageNumber(0,0);
	}
	else{
		//Render Gridview
		renderContent(sid, searchText, searchDivision, 3, sortOrder, fromPage, toPage, genreId, groupId);
		sortByViewDateDesc();
	}
	
	//Language Handle
	handleLanguage();
};

//Canvas Click function 
function canvasClickFunction(e){
    if (e) {
        e.preventDefault();
    }
    if (home_isMove == true) {
        home_isMove = false;
        return;
    }
	
	var contentId = $(this).attr('id');
	var outputId = contentId.substring(17);

    // Set content id for screen: content detail
	ClientData.contentInfo_contentId(outputId);
	
	// Get image of selected image
	var base64String = returnThumbnail(outputId);
	ClientData.contentInfo_contentThumbnail(base64String);

	//Store Content id that user has read
	if(ClientData.ReadingContentIds().length > 0){
		contentIdArray = ClientData.ReadingContentIds();
		
		for(var nIndex = 0; nIndex < contentIdArray.length; nIndex++){
			if(contentIdArray[nIndex].contentid == outputId){
				checkflag = true;
				break;
			}
			else{
				checkflag = false;
			}			
		}
		
		if(!checkflag){
			contentIdArray.push({contentid: outputId, viewdate: '', originviewdate: ''});
		}
	}
	else{
		contentIdArray.push({contentid: outputId, viewdate: '', originviewdate: ''});
	}
			
	//Renew ReadingContentID
	var newArray = [];
	ClientData.ReadingContentIds(newArray);
	
	//Set data for readingcontentid
	ClientData.ReadingContentIds(contentIdArray);
	
	//Set ResouceVersion for content
	setResourceVersionData(outputId);
	
	//Set MetaVersion for content
	setMetaVersionData(outputId);
	
	//Delete 'new' icon
	drawEditImage(outputId);

	//Open content Detail
	openContentDetail();
};

//Re-render page from and total record
function reRenderPageNumber(dispRecord, dispTotal){
	$('#dispPage').html(contentViewData.length);
	$('#totalPage').html(contentViewData.length);
	$('.pageNumControl').css('visibility','visible');		
};

//Sort By Title Function
function sortByTitleFunction(){
	
	$(this).addClass('active_tops');
	$('#control-sort-titlekana').removeClass('active_tops');
	$('#control-sort-releasedate').removeClass('active_tops');
	$('#control-sort-viewdate').removeClass('active_tops');
			
	var sortOrder = ClientData.searchCond_sortOrder();
	var sortType = ClientData.searchCond_sortType();
	var sid = ClientData.userInfo_sid();
	var recordFrom = null;
	var recordTo = null;
	var genreId = ClientData.searchCond_genreId();
	var groupId = ClientData.searchCond_groupId();
		
	if(sortOrder == Consts.ConstOrderSetting_Asc)
	{
		if(sortType == '1'){
			sortOrder = Consts.ConstOrderSetting_Desc;		
			$('#title-sorttype').html('');
			$('#title-sorttype').html('▼');
			$('#title-sorttype').css('width', '12px');
			$('#titlekana-sorttype').html('');
			$('#rDate-sorttype').html('');	
			$('#vDate-sorttype').html('');
			sortByTitleDesc();	
		}
		else{
			sortOrder = Consts.ConstOrderSetting_Asc;
			$('#title-sorttype').html('');
			$('#title-sorttype').html('▲');
			$('#title-sorttype').css('width', '12px');
			$('#titlekana-sorttype').html('');
			$('#rDate-sorttype').html('');	
			$('#vDate-sorttype').html('');	
			sortByTitleAsc();	
		}	
		ClientData.searchCond_sortOrder(sortOrder);			
	}
	else
	{	
		sortOrder = Consts.ConstOrderSetting_Asc;
		$('#title-sorttype').html('');
		$('#title-sorttype').html('▲');
		$('#title-sorttype').css('width', '12px');
		$('#titlekana-sorttype').html('');
		$('#rDate-sorttype').html('');		
		$('#vDate-sorttype').html('');		
		ClientData.searchCond_sortOrder(sortOrder);	
		sortByTitleAsc();	
	}			
		
	sortType = '1';
	ClientData.searchCond_sortType(sortType);

	//refresh Gridview
	//refreshGrid();
				
	//renderContent(sid, '', ClientData.searchCond_searchDivision(), sortType, sortOrder, recordFrom, recordTo, genreId, groupId);
};

//Sort By Title Kana function
function sortByTitleKanaFunction(){
		
	$(this).addClass('active_tops');
	$('#control-sort-title').removeClass('active_tops');
	$('#control-sort-releasedate').removeClass('active_tops');
	$('#control-sort-viewdate').removeClass('active_tops');
		
	var sortOrder = ClientData.searchCond_sortOrder();
	var sortType = ClientData.searchCond_sortType();
	var sid = ClientData.userInfo_sid();
	var recordFrom = null;
	var recordTo = null;
	var genreId = ClientData.searchCond_genreId();
	var groupId = ClientData.searchCond_groupId();
	
	if(sortOrder == Consts.ConstOrderSetting_Asc)
	{	
		if(sortType == '2'){
			sortOrder = Consts.ConstOrderSetting_Desc;		
			$('#title-sorttype').html('');
			$('#titlekana-sorttype').html('');
			$('#titlekana-sorttype').html('▼');
			$('#titlekana-sorttype').css('width', '12px');
			$('#rDate-sorttype').html('');	
			$('#vDate-sorttype').html('');
			sortByTitleKanaDesc();
		}
		else{
			sortOrder = Consts.ConstOrderSetting_Asc;
			$('#title-sorttype').html('');
			$('#titlekana-sorttype').html('');
			$('#titlekana-sorttype').html('▲');
			$('#titlekana-sorttype').css('width', '12px');
			$('#rDate-sorttype').html('');
			$('#vDate-sorttype').html('');	
			sortByTitleKanaAsc();
		}	
		ClientData.searchCond_sortOrder(sortOrder);			
	}
	else
	{
		sortOrder = Consts.ConstOrderSetting_Asc;
		$('#title-sorttype').html('');
		$('#titlekana-sorttype').html('');
		$('#titlekana-sorttype').html('▲');
		$('#titlekana-sorttype').css('width', '12px');
		$('#rDate-sorttype').html('');
		$('#vDate-sorttype').html('');
		ClientData.searchCond_sortOrder(sortOrder);	
		sortByTitleKanaAsc();
	}			
	
	
	sortType = '2';
	//refresh gridview
	//refreshGrid();
				
	ClientData.searchCond_sortType(sortType);
	//renderContent(sid, '', ClientData.searchCond_searchDivision(), sortType, sortOrder, null, null, genreId, groupId);
	
};

//Sort By Release Date
function sortByReleaseDateFunction(){
	
	$(this).addClass('active_tops');
	$('#control-sort-titlekana').removeClass('active_tops');
	$('#control-sort-title').removeClass('active_tops');
	$('#control-sort-viewdate').removeClass('active_tops');
	
	var sortOrder = ClientData.searchCond_sortOrder();
	var sortType = ClientData.searchCond_sortType();
	var sid = ClientData.userInfo_sid();
	var recordFrom = null;
	var recordTo = null;
	var genreId = ClientData.searchCond_genreId();
	var groupId = ClientData.searchCond_groupId();
	
	if(sortOrder == Consts.ConstOrderSetting_Asc)
	{
		if(sortType == '3'){
			sortOrder = Consts.ConstOrderSetting_Desc;		
			$('#title-sorttype').html('');
			$('#titlekana-sorttype').html('');
			$('#rDate-sorttype').html('');
			$('#rDate-sorttype').html('▼');
			$('#rDate-sorttype').css('width', '12px');
			$('#vDate-sorttype').html('');
			sortByPublishDateDesc();
		}
		else{
			sortOrder = Consts.ConstOrderSetting_Asc;	
			$('#title-sorttype').html('');
			$('#titlekana-sorttype').html('');
			$('#rDate-sorttype').html('');
			$('#rDate-sorttype').html('▲');
			$('#rDate-sorttype').css('width', '12px');
			$('#vDate-sorttype').html('');
			sortByPublishDateAsc();
		}
		ClientData.searchCond_sortOrder(sortOrder);			
	}
	else
	{
		sortOrder = Consts.ConstOrderSetting_Asc;	
		$('#title-sorttype').html('');
		$('#titlekana-sorttype').html('');
		$('#rDate-sorttype').html('');
		$('#rDate-sorttype').html('▲');
		$('#rDate-sorttype').css('width', '12px');
		$('#vDate-sorttype').html('');
		ClientData.searchCond_sortOrder(sortOrder);	
		sortByPublishDateAsc();
	}			
		
	sortType = '3';		
	ClientData.searchCond_sortType(sortType);	
	//renderContent(sid, '', ClientData.searchCond_searchDivision(), sortType, sortOrder, recordFrom, recordTo, genreId, groupId);
};

//Sort By View Date
function sortByViewDateFunction(){
	
	$(this).addClass('active_tops');
	$('#control-sort-titlekana').removeClass('active_tops');
	$('#control-sort-title').removeClass('active_tops');
	$('#control-sort-releasedate').removeClass('active_tops');
	
	var sortOrder = ClientData.searchCond_sortOrder();
	var sortType = ClientData.searchCond_sortType();
	if(sortOrder == Consts.ConstOrderSetting_Asc)
	{
		if(sortType == '4'){
			sortOrder = Consts.ConstOrderSetting_Desc;		
			$('#title-sorttype').html('');
			$('#titlekana-sorttype').html('');
			$('#rDate-sorttype').html('');
			$('#rDate-sorttype').html('');
			$('#vDate-sorttype').html('');
			$('#vDate-sorttype').html('▼');
			$('#vDate-sorttype').css('width', '12px');
			sortByViewDateDesc();
		}
		else{
			sortOrder = Consts.ConstOrderSetting_Asc;	
			$('#title-sorttype').html('');
			$('#titlekana-sorttype').html('');
			$('#rDate-sorttype').html('');
			$('#rDate-sorttype').html('');
			$('#vDate-sorttype').html('');
			$('#vDate-sorttype').html('▲');
			$('#vDate-sorttype').css('width', '12px');
			sortByViewDateAsc();
		}
		ClientData.searchCond_sortOrder(sortOrder);			
	}
	else
	{
		sortOrder = Consts.ConstOrderSetting_Asc;	
		$('#title-sorttype').html('');
		$('#titlekana-sorttype').html('');
		$('#rDate-sorttype').html('');
		$('#rDate-sorttype').html('');
		$('#vDate-sorttype').html('');
		$('#vDate-sorttype').html('▲');
		$('#vDate-sorttype').css('width', '12px');
		sortByViewDateAsc();
		ClientData.searchCond_sortOrder(sortOrder);	
	}	
	
	sortType = '4';
	
	ClientData.searchCond_sortType(sortType);	
	
};

//Get Thumnail base on contentid
function returnThumbnail(contentid){
	
	for(var i = 0; i < arrayTemp.length; i++){
		if(arrayTemp[i].contentId == contentid){
			return arrayTemp[i].thumbnail;
		}
	}
};

//Dialog Read Button CLick
function readSubmenuFunction(e){
    if (e) {
        e.preventDefault();
    }
    if (home_isMove == true) {
        home_isMove = false;
        return;
    }
	
	var contentId = $(this).attr('contentid');	
	var contentThumbnail = returnThumbnail(contentId);
	var date = new Date();
	var month = date.getMonth()+1;
	var day = date.getDate();
	
	var outputDate = formatNormalDate(day, month, date.getFullYear());
	
	ClientData.contentInfo_contentId(contentId);
	ClientData.contentInfo_contentThumbnail(contentThumbnail);
	
	var checkflag = false;
	
	//Store Content id that user has read
	if(ClientData.ReadingContentIds().length > 0){
		contentIdArray = ClientData.ReadingContentIds();
		
		for(var nIndex = 0; nIndex < contentIdArray.length; nIndex++){
			if(contentIdArray[nIndex].contentid == contentId){
				checkflag = true;
				if(contentIdArray[nIndex].viewdate == null || contentIdArray[nIndex].viewdate == 'undefined' || contentIdArray[nIndex].viewdate == ''){
					contentIdArray[nIndex].viewdate = outputDate;
					contentIdArray[nIndex].originviewdate = date;
				}
				break;
			}
			else{
				checkflag = false;
			}			
		}
		
		if(!checkflag){
			contentIdArray.push({contentid: contentId, viewdate: outputDate, originviewdate: date});
		}
	}
	else{
		contentIdArray.push({contentid: contentId, viewdate: outputDate, originviewdate: date});
	}
	
	//Renew ReadingContentID
	var newArray = [];
	ClientData.ReadingContentIds(newArray);
	
	//Set ResouceVersion for content
	setResourceVersionData(contentId);
	
	//Set MetaVersion for content
	setMetaVersionData(contentId);
	
	//Set data for readingcontentid
	ClientData.ReadingContentIds(contentIdArray);

	ClientData.IsRefresh(false);
	avwScreenMove(ScreenIds.ContentView);
};

//Check if Content Has marking or memo
function checkContentMarkingMemoOption(contentId){
	//Check if contentid has marking	
	if(ClientData.MarkingData().length == 0){
		$('#imgBookMark'+contentId).css('visibility','hidden');
	}
	else{
		for (var nIndex1 = 0; nIndex1 < ClientData.MarkingData().length; nIndex1++) {
		    if (ClientData.MarkingData()[nIndex1].contentid == contentId) {     	
		        $('#imgBookMark'+contentId).css('visibility','visible');
		        break;
		    }
		    else{
		    	$('#imgBookMark'+contentId).css('visibility','hidden');
		    }
		}
	}
	
	if(ClientData.MemoData().length == 0){
		$('#imgMemo'+contentId).css('visibility','hidden');
	}
	else{
		// Check if contentid has memo 
		for (var nIndex1 = 0; nIndex1 < ClientData.MemoData().length; nIndex1++) {    	
	        if (ClientData.MemoData()[nIndex1].contentid == contentId) {
	        	$('#imgMemo'+contentId).css('visibility','visible');
	        	break;
	        }
	        else
	        {
	        	$('#imgMemo'+contentId).css('visibility','hidden');
	        }
	    }
	}
};

//Check if User has read content
function checkUserHasReadContent(contId, resourceVer, metaVer){
	
	var imgThumb = new Image();
    //imgThumb.src = returnThumbnail(contId);							
    
    var imgIconNew = new Image();
    //imgIconNew.src = DEFAULT_IMG_CONTENT_NEW;
    
    var imgIconEdit = new Image();
   //imgIconEdit.src = DEFAULT_IMG_CONTENT_EDIT;
    
    var c = document.getElementById('content-thumbnail'+contId);	
    var ctx = c.getContext('2d');
    
    var readFlg = false;
    var versionArr = ClientData.ResourceVersion();
    var metaArr = ClientData.MetaVersion();
    var readArr = ClientData.ReadingContentIds();
    
    if(readArr == null || readArr <= 0 || readArr == 'undefined'){	
		imgThumb.onload = function(){	            
		 	var resizeImg = resizeResourceThumbnail(imgThumb, c.width, c.height);         
			ctx.drawImage(imgThumb, c.width/2 - resizeImg[0]/2, 0, resizeImg[0],  resizeImg[1]);
			imgIconNew.onload = function(){
				ctx.drawImage(imgIconNew, c.width/2 - resizeImg[0]/2, 0);
				showContentThumbnail(contId);
			};
			imgIconNew.src = DEFAULT_IMG_CONTENT_NEW;
		};
		
		imgThumb.src = returnThumbnail(contId);
		
    }
    else{
    	//Check if user has read this content or not
		for (var nIndex1 = 0; nIndex1 < ClientData.ReadingContentIds().length; nIndex1++) {    
			if(ClientData.ReadingContentIds()[nIndex1].contentid == contId){
			    imgThumb.onload = function(){	   
		 			var resizeImg = resizeResourceThumbnail(imgThumb, c.width, c.height);         
					ctx.drawImage(imgThumb, c.width/2 - resizeImg[0]/2, 0, resizeImg[0],  resizeImg[1]);
					showContentThumbnail(contId);
	    		};
		    	imgThumb.src = returnThumbnail(contId);
		    	readFlg = true;
		    	break;
			}
			else{
				imgThumb.onload = function(){	 					
				 	var resizeImg = resizeResourceThumbnail(imgThumb, c.width, c.height);         
					ctx.drawImage(imgThumb, c.width/2 - resizeImg[0]/2, 0, resizeImg[0],  resizeImg[1]);
					showContentThumbnail(contId);
		    		imgIconNew.onload = function(){
		    			ctx.drawImage(imgIconNew, c.width/2 - resizeImg[0]/2, 0);
		    		};
		    		imgIconNew.src = DEFAULT_IMG_CONTENT_NEW;
		    	};
		    	imgThumb.src = returnThumbnail(contId);	
			}	
		}
    }
    	
	//Check if resource version has change
	if(readFlg){
		if(versionArr == null || versionArr <= 0 || versionArr == 'undefined'){
		}
		else{
			for(var nIndex2 = 0; nIndex2 < versionArr.length; nIndex2++){
				if(versionArr[nIndex2].contentid == contId){
					if(versionArr[nIndex2].resourceversion != resourceVer){
						imgThumb.onload = function(){	            
    					 	var resizeImg = resizeResourceThumbnail(imgThumb, c.width, c.height);         
							ctx.drawImage(imgThumb, c.width/2 - resizeImg[0]/2, 0, resizeImg[0],  resizeImg[1]);
							showContentThumbnail(contId);
			    			imgIconEdit.onload = function(){
			    				ctx.drawImage(imgIconEdit, c.width/2 - resizeImg[0]/2, 0);
			    			};
							imgIconEdit.src = DEFAULT_IMG_CONTENT_EDIT;
			    		};
			    		imgThumb.src = returnThumbnail(contId);
			    		break;
					}		    
				}				
			}
		}
		
		if(metaArr == null || metaArr <= 0 || metaArr == 'undefined'){
		}
		else{
			for(var nIndex2 = 0; nIndex2 < metaArr.length; nIndex2++){
				if(metaArr[nIndex2].contentid == contId){
					if(metaArr[nIndex2].metaversion != metaVer){
						imgThumb.onload = function(){	            
    					 	var resizeImg = resizeResourceThumbnail(imgThumb, c.width, c.height);         
							ctx.drawImage(imgThumb, c.width/2 - resizeImg[0]/2, 0, resizeImg[0],  resizeImg[1]);
							showContentThumbnail(contId);
			    			imgIconEdit.onload = function(){
			    				ctx.drawImage(imgIconEdit, c.width/2 - resizeImg[0]/2, 0);
			    			};
							imgIconEdit.src = DEFAULT_IMG_CONTENT_EDIT;
			    		};
			    		imgThumb.src = returnThumbnail(contId);
			    		break;
					}		    
				}				
			}
		}
		readFlg = false;
	}
};

//draw Edit Image
function drawEditImage(id){
	var img = new Image();
	img.src = returnThumbnail(id);
								
	var c = document.getElementById('content-thumbnail'+id);
			
	//use getContext to use the canvas for drawing
	var ctx = c.getContext('2d');
	img.onload = function(){	            
	 	var resizeImg = resizeResourceThumbnail(img, c.width, c.height);         
		ctx.drawImage(img, c.width/2 - resizeImg[0]/2, 0, resizeImg[0],  resizeImg[1]);
		showContentThumbnail(id);
	};
};

//Render User view date
function renderViewDate(id){

	for(var i = 0; i < ClientData.ReadingContentIds().length; i++){
		if(ClientData.ReadingContentIds()[i].contentid == id){
			return ClientData.ReadingContentIds()[i].viewdate;
		}
	}
};

function returnOriginalViewDate(id){
	for(var i = 0; i < ClientData.ReadingContentIds().length; i++){
		if(ClientData.ReadingContentIds()[i].contentid == id){
			return ClientData.ReadingContentIds()[i].originviewdate;
		}
	}
};

//handle display sort direction
function handleSortDisp(){
	
	$('#control-sort-title').removeClass('active_tops');
	$('#control-sort-titlekana').removeClass('active_tops');
	$('#control-sort-releasedate').removeClass('active_tops');
	$('#control-sort-viewdate').removeClass('active_tops');
	
	
	var typeSort;
	var orderSort;
	
	if(ClientData.searchCond_sortType() == null || ClientData.searchCond_sortType() == 'undefined' || ClientData.searchCond_sortType() == ''){
		$('#title-sorttype').html('');
		$('#title-sorttype').html('');
		$('#titlekana-sorttype').html('');
		$('#rDate-sorttype').html('');
		$('#vDate-sorttype').html('');
	}
	else{
		if(ClientData.searchCond_sortOrder() != null && ClientData.searchCond_sortOrder() != 'undefined' && ClientData.searchCond_sortType() != ''){
			typeSort = ClientData.searchCond_sortType();
			orderSort = ClientData.searchCond_sortOrder();
			
			if(typeSort == 1){
				if(orderSort == Consts.ConstOrderSetting_Asc){
					$('#title-sorttype').html('');
					$('#title-sorttype').html('▲');
					$('#title-sorttype').css('width', '12px');
					$('#titlekana-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#vDate-sorttype').html('');
				}
				else{
					$('#title-sorttype').html('');
					$('#title-sorttype').html('▼');
					$('#title-sorttype').css('width', '12px');
					$('#titlekana-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#vDate-sorttype').html('');
				}
				
				$('#control-sort-title').addClass('active_tops');
			}
			else if(typeSort == 2){
				if(orderSort == Consts.ConstOrderSetting_Asc){
					$('#title-sorttype').html('');
					$('#titlekana-sorttype').html('');
					$('#titlekana-sorttype').html('▲');
					$('#titlekana-sorttype').css('width', '12px');
					$('#rDate-sorttype').html('');
					$('#vDate-sorttype').html('');
				}
				else{
					$('#title-sorttype').html('');
					$('#titlekana-sorttype').html('');
					$('#titlekana-sorttype').html('▼');
					$('#titlekana-sorttype').css('width', '12px');
					$('#rDate-sorttype').html('');
					$('#vDate-sorttype').html('');
				}
				
				$('#control-sort-titlekana').addClass('active_tops');
			}
			else if(typeSort == 3){
				if(orderSort == Consts.ConstOrderSetting_Asc){
					$('#title-sorttype').html('');
					$('#titlekana-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#rDate-sorttype').html('▲');
					$('#rDate-sorttype').css('width', '12px');
					$('#vDate-sorttype').html('');
				}
				else{
					$('#title-sorttype').html('');
					$('#titlekana-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#rDate-sorttype').html('▼');
					$('#rDate-sorttype').css('width', '12px');
					$('#vDate-sorttype').html('');
				}
				
				$('#control-sort-releasedate').addClass('active_tops');
			}
			else{
				if(orderSort == Consts.ConstOrderSetting_Asc){
					$('#title-sorttype').html('');
					$('#titlekana-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#vDate-sorttype').html('▲');
					$('#vDate-sorttype').css('width', '12px');
					
				}
				else{
					$('#title-sorttype').html('');
					$('#titlekana-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#rDate-sorttype').html('');
					$('#vDate-sorttype').html('▼');
					$('#vDate-sorttype').css('width', '12px');
				}
				
				$('#control-sort-viewdate').addClass('active_tops');
			}
		}			
	}
};

//convert delivery Date
function formatDeliveryDate(date){
	
	var day = date.date;
	var month = eval(date.month) + 1;
	var year = eval(date.year) + 1900;
	
	var outputDate = year + '/' + ((''+month).length<2 ? '0' : '') + month + '/' + ((''+day).length<2 ? '0' : '') + day;

	return outputDate;
};

//convert view Date
function formatNormalDate(day, month, year){
	var outputDate = year + '/' + ((''+month).length<2 ? '0' : '') + month + '/' + ((''+day).length<2 ? '0' : '') + day;
	
	return outputDate;
};

//format Image string
function formatStringBase64(imgStr){

	var outputString = 'data:image/jpeg;base64,'+imgStr;

	return outputString;
};

//function Open SubMenu Dialog
function titleClickFunction(e){
    if (e) {
        e.preventDefault();
    }
    if (home_isMove == true) {
        home_isMove = false;
        return;
    }
	
	var contentid = $(this).attr('contentid');
	// Get image of selected image
	var base64String = returnThumbnail(contentid);
	ClientData.contentInfo_contentThumbnail(base64String);
	ClientData.contentInfo_contentId(contentid);

	//Store Content id that user has read
	if(ClientData.ReadingContentIds().length > 0){
		contentIdArray = ClientData.ReadingContentIds();
		
		for(var nIndex = 0; nIndex < contentIdArray.length; nIndex++){
			if(contentIdArray[nIndex].contentid == contentid){
				checkflag = true;
				break;
			}
			else{
				checkflag = false;
			}			
		}
		
		if(!checkflag){
			contentIdArray.push({contentid: contentid, viewdate: '', originviewdate: ''});
		}
	}
	else{
		contentIdArray.push({contentid: contentid, viewdate: '', originviewdate: ''});
	}
			
	//Renew ReadingContentID
	var newArray = [];
	ClientData.ReadingContentIds(newArray);
	
	//Set data for readingcontentid
	ClientData.ReadingContentIds(contentIdArray);
	
	//Set ResouceVersion for content
	setResourceVersionData(contentid);
	
	//Set MetaVersion for content
	setMetaVersionData(contentid);
	
	//Delete 'new' icon
	drawEditImage(contentid);

	//Open content Detail
	openContentDetail();
};

//refresh sort order
function refreshSortTypeOrder(){
	$('#title-sorttype').html('');
	$('#titlekana-sorttype').html('');
	$('#rDate-sorttype').html('');
	$('#rDate-sorttype').html('');
	$('#vDate-sorttype').html('');
};

//refresh GridView
function refreshGrid(){
    //$('#content-grid').html('');
    $('#content-grid').empty();
	$('.pageNumControl').css('visibility','hidden');
};

function sortByViewDateAsc(){
 	var sortArr = contentViewData;
  	var t;
  	for(var i = 0; i < sortArr.length; i++){
  		for(var j = 1; j < sortArr.length - i; j++){
  			if(sortArr[j-1].originviewdate > sortArr[j].originviewdate){
  				t = sortArr[j-1];
  				sortArr[j-1] = sortArr[j];
  				sortArr[j] = t;
  			}
  		}
  	}
  	
  	var resultArr = sortArr;
  	renderContentAfterSort(resultArr);  	 
};

function formatDate(originDate){
	var sourceDate = new Date(originDate);
	var year = sourceDate.getFullYear() + 1;
	var month = sourceDate.getMonth();
	var day = sourceDate.getDate();
	var hour = sourceDate.getHours();
	var minute = sourceDate.getMinutes();
	var second = sourceDate.getSeconds();
	var milisecond = sourceDate.getMilliseconds();
	
	var newDate = new Date(year, month, day, hour, minute, second, milisecond);
	return newDate;
};

function sortByViewDateDesc(){
	var sortArr = contentViewData;
	
	var temp;
	for(var i = 0; i < sortArr.length; i++){
		for(var j = sortArr.length - 1; j > i; j--){
			if(sortArr[j].originviewdate > sortArr[j - 1].originviewdate){
				temp = sortArr[j];
				sortArr[j] = sortArr[j - 1];
			 	sortArr[j - 1] = temp;
			}
		}
	}
	
	var resultArr = sortArr;
	renderContentAfterSort(resultArr);
};

function addReadContentToArray(strContentId, strResourceVersion, strMetaVersion, strThumbnail, strTitle, strTitleKana, strDelivDate){
    if (contentViewData.length > 0) {
        var flag;
		for(var j = 0; j < contentViewData.length; j++){
			if(contentViewData[j].contentid == strContentId){		
				flag = true;
				break;
			}
			else{
				flag = false;
			}
		}
		
		if(!flag){
			contentViewData.push({contentid: strContentId, originviewdate: formatDate(returnOriginalViewDate(strContentId)), contenttitle: strTitle, contenttitlekana: strTitleKana, deliverydate: strDelivDate, resourceversion: strResourceVersion, metaversion: strMetaVersion, thumbnail: formatStringBase64(strThumbnail)  });
		}
		
	}else{
		contentViewData.push({contentid: strContentId, originviewdate: formatDate(returnOriginalViewDate(strContentId)), contenttitle: strTitle, contenttitlekana: strTitleKana, deliverydate: strDelivDate, resourceversion: strResourceVersion, metaversion: strMetaVersion, thumbnail: formatStringBase64(strThumbnail) });
	}	
};

function showContentThumbnail(conid) {

	$('img#imgloading'+conid).fadeOut('slow',function(){
		$('canvas#content-thumbnail'+conid).fadeIn('slow');
	});
};

function syncReadingContent(){
	var readArr = ClientData.ReadingContentIds();
	var metaArr = ClientData.MetaVersion();
	var resourceArr = ClientData.ResourceVersion();

	for (var i = readArr.length - 1; i >= 0; i--) {
	    var readContent = readArr[i];

	    if (!IsExistContent(readContent.contentid)) {
	        readArr.splice(i, 1);
	        metaArr.splice(i, 1);
	        resourceArr.splice(i, 1);
	    }
	    // Do not process next
	    if (avwHasError()) {
	        return;
	    }
	}
	
	ClientData.ReadingContentIds(readArr);
	ClientData.MetaVersion(metaArr);
	ClientData.ResourceVersion(resourceArr);
};

/*
    Get content title kana if it existed
*/
function getContentNameKana(strContentId) {
    var strContentNameKana = null;
    for (var nIndex = 0; nIndex < history_contentTitleKana.length; nIndex++) {
        if (history_contentTitleKana[nIndex].contentId == strContentId) {
            strContentNameKana = history_contentTitleKana[nIndex].contentNameKana;
            break;
        }
    }
    return strContentNameKana;
};

/*
Check content whether existed or not
*/
function IsExistContent(strContentId) {
    var isExisted = true;
    var params = {
        sid: ClientData.userInfo_sid(),
        getType: '1',
        contentId: strContentId
    };
    avwCmsApiSync(ClientData.userInfo_accountPath(), "webGetContent", 'GET', params,
                function (data) {
                    isExisted = true;
                    history_contentTitleKana.push({ contentId: strContentId, contentNameKana: data.contentData.contentNameKana });
                },
                function (xmlHttpRequest, txtStatus, errorThrown) {
                    if (xmlHttpRequest.status == 404) {
                        isExisted = false;
                    }
                    else {
                        // Show system error
                        isExisted = true;  // Mark this flag to prevent bookmarks from deleting
                        showSystemError();
                    }
                });
    return isExisted;
};

function changeLanguageCallBackFunction(){
	handleLanguage();
	document.title = i18nText('dspViewHistory') + ' | ' + i18nText('sysAppTitle');
};

function displayResultNoRecord(){
	i18nReplaceText();
	$('#content-grid').html(i18nText('msgHistoryNotExist'));
	$('#content-grid').css({'text-align':'left','margin-top':'20px','clear':'both','font-size':'16px','color':'red'});
	$('#control-nextrecord').css('visibility','hidden');
	$('.control_sort_on').hide();
	$('.control_sort_off').show();
};

function enableSort(){
	$('.control_sort_on').show();
	$('.control_sort_off').hide();
};

function truncate(strInput, length){
    if (strInput.length <= length)
    {
        return strInput;
    }
    else
    {
        return strInput.substring(0, length) + "...";
    }
};

function sortByTitleAsc(){

	var sortArr = contentViewData;	
  	var t;
  	for(var i = 0; i < sortArr.length; i++){
  		for(var j = 1; j < sortArr.length - i; j++){
  			if(sortArr[j-1].contenttitle.toUpperCase() > sortArr[j].contenttitle.toUpperCase()){
  				t = sortArr[j-1];
  				sortArr[j-1] = sortArr[j];
  				sortArr[j] = t;
  			}
  		}
  	}
	
	var resultArr = sortArr;
	renderContentAfterSort(resultArr);
};

function sortByTitleDesc(){
	var sortArr = contentViewData;
	var temp;
	for(var i = 0; i < sortArr.length; i++){
		for(var j = sortArr.length - 1; j > i; j--){
			if(sortArr[j].contenttitle.toUpperCase() > sortArr[j - 1].contenttitle.toUpperCase()){
				temp = sortArr[j];
				sortArr[j] = sortArr[j - 1];
			 	sortArr[j - 1] = temp;
			}
		}
	}
		
	var resultArr = contentViewData;
	renderContentAfterSort(resultArr);
};

function sortByPublishDateAsc(){
	var sortArr = contentViewData;	
	
  	var t;
  	for(var i = 0; i < sortArr.length; i++){
  		for(var j = 1; j < sortArr.length - i; j++){
  			if(formatOriginalPublishDate(sortArr[j-1].deliverydate) > formatOriginalPublishDate(sortArr[j].deliverydate)){
  				t = sortArr[j-1];
  				sortArr[j-1] = sortArr[j];
  				sortArr[j] = t;
  			}
  		}
  	}

	var resultArr = sortArr;
	renderContentAfterSort(resultArr);
};

function sortByPublishDateDesc(){
	var sortArr = contentViewData;
	var temp;
	for(var i = 0; i < sortArr.length; i++){
		for(var j = sortArr.length - 1; j > i; j--){
			if(formatOriginalPublishDate(sortArr[j].deliverydate) > formatOriginalPublishDate(sortArr[j - 1].deliverydate)){
				temp = sortArr[j];
				sortArr[j] = sortArr[j - 1];
			 	sortArr[j - 1] = temp;
			}
		}
	}
		
	var resultArr = sortArr;
	renderContentAfterSort(resultArr);
};

function sortByTitleKanaAsc(){
	var sortArr = contentViewData;	
  	var t;
  	for(var i = 0; i < sortArr.length; i++){
  		for(var j = 1; j < sortArr.length - i; j++){
  			if(sortArr[j-1].contenttitlekana > sortArr[j].contenttitlekana){
  				t = sortArr[j-1];
  				sortArr[j-1] = sortArr[j];
  				sortArr[j] = t;
  			}
  		}
  	}

	var resultArr = sortArr;
	renderContentAfterSort(resultArr);
};

function sortByTitleKanaDesc(){
	var sortArr = contentViewData;
	var temp;
	for(var i = 0; i < sortArr.length; i++){
		for(var j = sortArr.length - 1; j > i; j--){
			if(sortArr[j].contenttitlekana > sortArr[j - 1].contenttitlekana){
				temp = sortArr[j];
				sortArr[j] = sortArr[j - 1];
			 	sortArr[j - 1] = temp;
			}
		}
	}
		
	var resultArr = sortArr;
	renderContentAfterSort(resultArr);
};


function renderContentAfterSort(contentSortArr){
    refreshGrid();
    var htmlTemp = "";
	for(var i = 0; i < contentSortArr.length; i++) {
        post = contentSortArr[i];
	//$.each(contentSortArr, function(i, post){
		var outputDeliveryDate = formatDeliveryDate(post.deliverydate);
  		//$('#content-grid').append(
		htmlTemp += '<section>'
					+ '	<div class="cnt_section">'
					+ '		<a class="img">'
					+ '			<canvas style="display:none" height="105px" width="150px" class="home_canvas" id="content-thumbnail' + post.contentid + '" contentid="' + post.contentid + '">'
					+ '			</canvas>'
					+ '			<img id="imgloading'+ post.contentid +'" src="./img/data_loading.gif" height="25px" class="home_canvas" width="25px"/>'
					+ '		</a>'
					+ '		<div class="text">'
					+ '			<a id="title' + post.contentid + '" class="dialog name" contentid="' + post.contentid + '">' + truncate(htmlEncode(post.contenttitle), 25) + '</a>'
					+ '			<div class="info">'
					+ '				<ul class="date">'
					+ '					<li><span class="lang" lang="txtPubDt">' + i18nText("txtPubDt") + '</span> : ' + outputDeliveryDate + '</li>'
					+ '					<li><span class="lang" lang="txtViewDt">' + i18nText("txtViewDt") + '</span>：<span id="lblVdate' + post.contentid + '"> </span></li>'
					+ '				</ul>'
					+ '				<ul class="pic">'
					+ '					<li><img src="' + DEFAULT_IMG_OPTION_MEMO + '" id="imgMemo' + post.contentid + '" class="sticker"  /></li>'
					+ '					<li><img src="' + DEFAULT_IMG_OPTION_MARKING + '" id="imgBookMark' + post.contentid + '" class="pen"  /></li>'
					+ '					<li><a class="read lang button-details" contentid="' + post.contentid + '" lang="txtRead">' + i18nText("txtRead") + '</a></li>'
					+ '				</ul>'
					+ '			</div>'
					+ '		</div>'
					+ '	</div>'
					+ '</section>'
		//);
                ;
                /*
				$('canvas.home_canvas').hide();
				$('img.home_canvas').show();
				
				var viewdate = renderViewDate(post.contentid);
				
				reRenderPageNumber(totalPage, totalPage);
				//Check if user has read this content or not.
		        checkUserHasReadContent(post.contentid, post.resourceversion, post.metaversion);
		        
	        	//Check if content has marking or memo
		        checkContentMarkingMemoOption(post.contentid);

	            $('#lblVdate' + post.contentid).html(viewdate);
	            
	            //showContentThumbnail();
	            
	            i18nReplaceText();
                */
  	//});
	        }
	$('#content-grid').append(htmlTemp);
	for (var i = 0; i < contentSortArr.length; i++) {
	    post = contentSortArr[i];

	    //$('canvas.home_canvas').hide();
	    //$('img.home_canvas').show();

	    var viewdate = renderViewDate(post.contentid);

	    reRenderPageNumber(totalPage, totalPage);
	    //Check if user has read this content or not.
	    checkUserHasReadContent(post.contentid, post.resourceversion, post.metaversion);

	    //Check if content has marking or memo
	    checkContentMarkingMemoOption(post.contentid);

	    $('#lblVdate' + post.contentid).html(viewdate);

	    showContentThumbnail();

	    //i18nReplaceText();
	}
};

function formatOriginalPublishDate(date){

	var day = date.date;
	var month = date.month + 1;
	var year = date.year + 1900;
	var hour = date.hours;
	var minute = date.minutes;
	var second = date.seconds;
	
	var resultDate = new Date(year, month, day, hour, minute, second);
	return resultDate;
};

function returnContentTitleKana(id) {
    var titleKana;

    // Get title kana from existed contents
    titleKana = getContentNameKana(id);

    if (titleKana != null) {
        // Skip this case
    }
    else {
        var params = {
            contentId: id,
            sid: ClientData.userInfo_sid(),
            getType: 1
        };
        

        // Get all pages of content
        avwCmsApiSync(ClientData.userInfo_accountPath(), "webGetContent", 'GET', params,
	    function (data) {
	        // Success	      
	        titleKana = data.contentData.contentNameKana;
	    }, null);

	}
	return titleKana;
};

function resizeResourceThumbnail(mg, width, height) {
	var newWidth;
	var newHeight;
	if(mg.width > mg.height) {
		newWidth = width;
		newHeight = (mg.height * width)/mg.width;
	}
	else {
	
		newHeight = height;
		newWidth = (mg.width * height)/mg.height;
	}
    var result = [newWidth, newHeight];
    return result;

};

function removeHoverCss(){
	
	if(isTouchDevice()){
		$('#control-sort-title').removeClass('nottouchdevice');
		$('#control-sort-titlekana').removeClass('nottouchdevice');
		$('#control-sort-releasedate').removeClass('nottouchdevice');
		$('#control-sort-viewdate').removeClass('nottouchdevice');
		
	}
};
